import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ClaimWhereInputObjectSchema as ClaimWhereInputObjectSchema } from './ClaimWhereInput.schema'

const makeSchema = () => z.object({
  is: z.lazy(() => ClaimWhereInputObjectSchema).optional().nullable(),
  isNot: z.lazy(() => ClaimWhereInputObjectSchema).optional().nullable()
}).strict();
export const ClaimNullableScalarRelationFilterObjectSchema: z.ZodType<Prisma.ClaimNullableScalarRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.ClaimNullableScalarRelationFilter>;
export const ClaimNullableScalarRelationFilterObjectZodSchema = makeSchema();
